Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeBotStart

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeBotStart

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeBotStart extends TdApi.InternalLinkType
The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`botUsername`
Username of the bot.
`static final int`
`CONSTRUCTOR`
`String`
`startParameter`
The parameter to be passed to sendBotStartMessage.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeBotStart()`
The link is a link to a chat with a Telegram bot.
`InternalLinkTypeBotStart(DataInput input)`
The link is a link to a chat with a Telegram bot.
`InternalLinkTypeBotStart(String botUsername, String startParameter)`
The link is a link to a chat with a Telegram bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUsername

public String botUsername
Username of the bot.

### startParameter

public String startParameter
The parameter to be passed to sendBotStartMessage.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeBotStart

public InternalLinkTypeBotStart()
The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

### InternalLinkTypeBotStart

public InternalLinkTypeBotStart(String botUsername, String startParameter)
The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

Parameters:
  `botUsername` - String Username of the bot.
  `startParameter` - String The parameter to be passed to sendBotStartMessage.

### InternalLinkTypeBotStart

public InternalLinkTypeBotStart(DataInput input) throws IOException
The link is a link to a chat with a Telegram bot. Call searchPublicChat with the given bot username, check that the user is a bot, show START button in the chat with the bot, and then call sendBotStartMessage with the given start parameter after the button is pressed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`